| Home | Libraries | People | FAQ | More

##### replace

###### Prototype

    template<
        class ForwardRange,
        class Value
        >
    ForwardRange& replace(ForwardRange& rng, const Value& what, const Value& with_what);

    template<
        class ForwardRange,
        class UnaryPredicate
        >
    const ForwardRange& replace(const ForwardRange& rng, const Value& what, const Value& with_what);

###### Description

`replace` every element in `rng` equal to `what` with `with_what`. Return a reference to `rng`.

###### Definition

Defined in the header file `boost/range/algorithm/replace.hpp`

###### Requirements

- `ForwardRange` is a model of the Forward Range Concept.
- `ForwardRange` is mutable.
- `Value` is convertible to `ForwardRange`'s value type.
- `Value` is a model of the `AssignableConcept`.
- `Value` is a model of the `EqualityComparableConcept`, and may be compared for equality with objects of `ForwardRange`'s value type.

###### Complexity

Linear. `replace` performs exactly `distance(rng)` comparisons for equality and at most `distance(rng)` assignments.